libopenmpt 0.5.0-pre.5+r11801 cross-platform C++ and C library to decode tracked music files

Public Member Functions | List of all members
openmpt::exception Class Reference

libopenmpt exception base class More...

`#include <libopenmpt/libopenmpt.hpp>`

Inheritance diagram for openmpt::exception:

## Public Member Functions
| exception (const std::string &text) noexcept
| exception (const exception &other) noexcept
| exception (exception &&other) noexcept
virtual | ~exception () noexcept
const char * | what () const noexcept override

## Detailed Description

libopenmpt exception base class

Base class used for all exceptions that are thrown by libopenmpt itself. Libopenmpt may additionally throw any exception thrown by the standard library which are all derived from std::exception.

See also
  Error Handling

## Constructor & Destructor Documentation

## ◆ exception() [1/3]

openmpt::exception::exception | ( | const std::string & | text | ) |
| noexcept

## ◆ exception() [2/3]

openmpt::exception::exception | ( | const exception & | other | ) |
| noexcept

## ◆ exception() [3/3]

openmpt::exception::exception | ( | exception && | other | ) |
| noexcept

## ◆ ~exception()

virtual openmpt::exception::~exception | ( |  | ) |
| virtual noexcept

## Member Function Documentation

## ◆ what()

const char* openmpt::exception::what | ( |  | ) | const
| override noexcept

The documentation for this class was generated from the following file:

- libopenmpt/libopenmpt.hpp